Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jprocessunit.addon.jpd
Class TaskChangeStateEvent

    java.lang.Object
      org.jprocessunit.ActionEvent
          org.jprocessunit.addon.jpd.TaskChangeStateEvent

All Implemented Interfaces:
  ProcessEvent

    public class TaskChangeStateEvent

extends ActionEvent

JProcessUnit ActionEvent class used to bring a WLI task to a completed state.

Author:
  Reza Shafii

Constructor Summary
`TaskChangeStateEvent(TaskEventInfo taskEventInfo, java.lang.String step)` The action event is executed on the first task matches the selector.
`TaskChangeStateEvent(com.bea.wli.worklist.api.TaskSelector taskSelector, java.lang.String applicationName, java.lang.String step)` Deprecated. Please now use CompleteTaskEvent(TaskQuery)

Method Summary
`void` | `performAction()` This method ensures that the task identified by task query of thie event has its state changed to completed.
`void` | `setAssignToUser(java.lang.String userName)` Used when the task has not been assigned to a specific user, in which case the action event first assignes the task to userName and then completes the task.
`void` | `setTaskQuery(com.bea.wli.worklist.api.TaskQuery taskQuery)` The wait event is satisfied as soon as a single task matches the query.
`void` | `setTaskResponse(java.io.File taskResponse)` Sets the response paramter of the task to which this instance is tied to the XML content of the given file.
`void` | `setTaskResponse(java.lang.String taskResponse)` Sets the response paramter of the task to which this instance is tied to the XML content of the given String.
`void` | `setTaskSelector(com.bea.wli.worklist.api.TaskSelector taskSelector)` Deprecated. Please use setTaskQuery(TaskQuery)

Methods inherited from class org.jprocessunit.ActionEvent
`assertEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskChangeStateEvent

    public TaskChangeStateEvent(TaskEventInfo taskEventInfo,
                                java.lang.String step)

  The action event is executed on the first task matches the selector.

  Parameters:
    `taskEventInfo` - info identifying the target task for this event

### TaskChangeStateEvent

    public TaskChangeStateEvent(com.bea.wli.worklist.api.TaskSelector taskSelector,
                                java.lang.String applicationName,
                                java.lang.String step)

  Deprecated. Please now use CompleteTaskEvent(TaskQuery)

  The action event is executed on the first task matches the selector.

  Parameters:
    `taskSelector` - task selector identifying a single target task
    `applicationName` - name of the application containing the targeted task plan

Method Detail

### setTaskResponse

    public void setTaskResponse(java.io.File taskResponse)

  Sets the response paramter of the task to which this instance is tied to the XML content of the given file.

  Parameters:
    `taskResponse` -

### setTaskResponse

    public void setTaskResponse(java.lang.String taskResponse)

  Sets the response paramter of the task to which this instance is tied to the XML content of the given String.

  Parameters:
    `taskResponse` -

### setTaskSelector

    public void setTaskSelector(com.bea.wli.worklist.api.TaskSelector taskSelector)

  Deprecated. Please use setTaskQuery(TaskQuery)

  The wait event is satisfied as soon as a single task matches the selector.

  Parameters:
    `taskSelector` - task selector identifying a single target task

### setTaskQuery

    public void setTaskQuery(com.bea.wli.worklist.api.TaskQuery taskQuery)

  The wait event is satisfied as soon as a single task matches the query.

  Parameters:
    `taskQuery` -

### setAssignToUser

    public void setAssignToUser(java.lang.String userName)

  Used when the task has not been assigned to a specific user, in which case the action event first assignes the task to userName and then completes the task. If assignToUser is not set and the task does not have a user already assigned, then the user "weblogic" is used as default.

  Parameters:
    `userName` -

### performAction

    public void performAction()

  This method ensures that the task identified by task query of thie event has its state changed to completed.

  Specified by:
    `performAction` in class `ActionEvent`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JProcessUnit API